%define snapshot 1
%define git d66c8b1

Summary:	Track runtime library calls from dynamically linked executables
Name:		ltrace
Version:	0.7.2
Release:	%mkrel 2
License:	GPLv2+
Group:		Development/Other
URL:		http://ltrace.alioth.debian.org/
%if %{snapshot}
# snapshot from http://anonscm.debian.org/gitweb/?p=collab-maint/ltrace.git
Source0:	ltrace-%{git}.tar.gz
%else
Source0:	http://alioth.debian.org/frs/download.php/3848/%{name}-%{version}.tar.bz2
%endif
# fix error: "_GNU_SOURCE" redefined
Patch2:		ltrace-0.7.0-gnu-source.patch
ExclusiveArch:	%{ix86} x86_64 ppc x86_64 sparc alpha
BuildRequires:	elfutils-devel
%if %{snapshot}
BuildRequires:	autoconf
%endif

%description
Ltrace is a debugging program which runs a specified command until the command
exits. While the command is executing, ltrace intercepts and records both the
dynamic library calls called by the executed process and the signals received
by the executed process. Ltrace can also intercept and print system calls
executed by the process.

You should install ltrace if you need a sysadmin tool for tracking the
execution of processes.

%prep

%if %{snapshot}
%setup -q -n %{name}-%{git}
%else
%setup -q
%endif

%patch2 -p0

%build
export CFLAGS="%{optflags} -D_GNU_SOURCE=1"
%if %{snapshot}
./autogen.sh
%endif

%configure
%make

%install
rm -rf %{buildroot}

%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%doc README TODO NEWS
%config(noreplace) %{_sysconfdir}/ltrace.conf
%{_bindir}/ltrace
%{_mandir}/man1/ltrace.1*
%{_mandir}/man5/ltrace.conf.5*


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 0.7.2-2.mga3
+ Revision: 359036
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 08 2012 luigiwalser <luigiwalser> 0.7.2-1.mga3
+ Revision: 328086
- 0.7.2

* Fri Nov 30 2012 luigiwalser <luigiwalser> 0.7.1-1.mga3
+ Revision: 323280
- 0.7.1

* Sat Nov 24 2012 luigiwalser <luigiwalser> 0.7.0-1.mga3
+ Revision: 321621
- 0.7.0
- update URLs
- support using tarball from git or from download page
- package ltrace.conf manpage
- fix build error

* Tue Feb 22 2011 dmorgan <dmorgan> 0.6-0.81.5.mga1
+ Revision: 56986
- imported package ltrace

